package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.B2bCodeSet;

@Repository
public interface B2bCodeSetDao  extends JpaSpecificationExecutor<B2bCodeSet>, JpaRepository<B2bCodeSet, Long>{
	
	/**
	 * 根据企业UU和code码查询规则表
	 * @param enUU
	 * @param code
	 * @return
	 */
	public List<B2bCodeSet> findByEnUUAndCode(long enUU,String code);

}
