package com.uas.platform.b2b.dao;

import java.util.List;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.BarPackage;

@Repository
public interface BarPackageDao extends JpaSpecificationExecutor<BarPackage>, JpaRepository<BarPackage, Long> {
    
	/**
	 * 通过发送状态和客户uu查询数据  
	 * @param sendStatus
	 * @param custUU
	 * @return
	 */
	public List<BarPackage> findBySendStatusAndCustUU(short sendStatus,Long custUU);
}
