package com.uas.platform.b2b.dao;

import com.uas.platform.b2b.model.DeOrderDeleteLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DeOrderDeleteLogDao
		extends JpaRepository<DeOrderDeleteLog, Long>, JpaSpecificationExecutor<DeOrderDeleteLog> {

	/**
	 * 通过代采企业uu和下载状态查询删除日志
	 * 
	 * @param deputyuu
	 * @param status
	 * @return
	 */
	List<DeOrderDeleteLog> findByDeputyuuAndStatus(Long deputyuu, Integer status);
}
