package com.uas.platform.b2b.dao;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.DeputyPaymentCompany;

@Repository
public interface DeputyPaymentCompanyDao
		extends JpaRepository<DeputyPaymentCompany, Long>, JpaSpecificationExecutor<DeputyPaymentCompany> {


	/**
	 * 查询是否存在
	 * 
	 * @param enuu
	 * @param enname
	 * @return
	 */
	DeputyPaymentCompany findByEnuuAndEnname(Long enuu, String enname);
}
