package com.uas.platform.b2b.dao;

import com.uas.platform.b2b.model.PrintLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PrintLogDao extends JpaRepository<PrintLog, Long> {

    List<PrintLog> findByStatusAndCode(short status, String code);

    List<PrintLog> findByEnUUAndStatusAndTable(Long uu, short no, String purc$orders);
}
