package com.uas.platform.b2b.dao;

import com.uas.platform.b2b.model.ProductUsers;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;


/**
 * Created by hejq on 2017-11-08.
 */
@Repository
public interface ProductUsersDao extends JpaSpecificationExecutor<ProductUsers>, JpaRepository<ProductUsers, Long> {

    /**
     * 通过企业UU，个人uu和物料id查询我的产品库物料信息
     *
     * @param enuu
     * @param useruu
     * @param prid
     * @return
     */
    ProductUsers findByEnuuAndUseruuAndPrid(Long enuu, Long useruu, Long prid);

}
