package com.uas.platform.b2b.dao;

import com.uas.platform.b2b.model.PurchaseApBillOutInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * 企业开票信息
 */
@Repository
public interface PurchaseApBillOutInfoDao extends JpaSpecificationExecutor<PurchaseApBillOutInfo>, JpaRepository<PurchaseApBillOutInfo, Long> {
    /**
     * 按所属企业及编号查找企业开票信息
     *
     * @param Uu
     * @return
     */
    public PurchaseApBillOutInfo findByUu(Long Uu);
}
