package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.VendorContact;

@Repository
public interface VendorContactDao extends JpaRepository<VendorContact, Long>, JpaSpecificationExecutor<VendorContact> {


	/**
	 * 查询当前企业的供应商联系人
	 * 
	 * @param myenuu
	 * @param venduu
	 * @return
	 */
	List<VendorContact> findByMyenuuAndVenduu(Long myenuu, Long venduu);
}
