package com.uas.platform.b2b.erp.service;

import java.util.List;

import com.uas.platform.b2b.erp.model.MakeChange;
import com.uas.platform.b2b.erp.model.MakeChangeReply;
import com.uas.platform.b2b.model.MakeOrderChangeItem;

public interface MakeChangeService {

	/**
	 * 将ERP系统的委外加工单变更单，转为平台的委外变更单
	 * 
	 * @param changes
	 * @return
	 */
	List<MakeOrderChangeItem> convertMakeChange(List<MakeChange> changes);
	
	/**
	 * 将平台上的委外变更单回复信息转为买方ERP的委外变更回复信息
	 * @param items
	 * @return
	 */
	List<MakeChangeReply> convertMakeOrderChangeReply(List<MakeOrderChangeItem> items);

}
