package com.uas.platform.b2b.erp.service;

import java.util.List;

import com.uas.platform.b2b.erp.model.OutSourceProdInOutDown;
import com.uas.platform.b2b.model.MakeAccept;
import com.uas.platform.b2b.model.MakeReturn;

public interface OutSourceProdInOutDownService {
	/**
	 * 将平台的客户委外验收单，转为ERP系统的客户委外验收单
	 * 
	 * @param makeAccepts
	 * @return
	 */
	List<OutSourceProdInOutDown> convertOutSourceAccepts(List<MakeAccept> makeAccepts);

	/**
	 * 将平台的客户委外验退单，转为ERP系统的客户委外验退单 
	 * @param makeReturns
	 * @return
	 */
	List<OutSourceProdInOutDown> convertMakeReturns(List<MakeReturn> makeReturns);
}
