package com.uas.platform.b2b.erp.service;

import com.uas.platform.b2b.erp.model.PurchaseQuaMRB;
import com.uas.platform.b2b.model.PurchaseMRB;

import java.util.List;

public interface PurchaseQuaMRBService {

	/**
	 * 将ERP系统的MRB单，转为平台的MRB单
	 * 
	 * @param changes
	 * @return
	 */
	List<PurchaseMRB> convertMRBs(List<PurchaseQuaMRB> quaMRBs);

	/**
	 * 获取B2B对应的id
	 *
	 * @param quaMRBs ERP系统的MRB单
	 * @return
	 */
    List<PurchaseQuaMRB> getB2bId(List<PurchaseQuaMRB> quaMRBs);
}
