package com.uas.platform.b2b.mobile.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.uas.platform.b2b.mobile.service.ClockSetCenterService;
import com.uas.platform.b2b.temporary.model.WorkDataInfo;

/**
 * 打卡班次表
 * 
 * @author hejq
 * @time 创建时间：2017年2月22日
 */
@Controller("mobile.ClockSetController")
@RequestMapping("/mobile/clockSetCenter")
public class ClockSetCenterController {
	
	@Autowired
	private ClockSetCenterService clockSetCenterService;

	/**
	 * 得到打卡班次信息
	 * 
	 * @param emcode
	 * @param enuu
	 * @return
	 */
	@RequestMapping(value = "/getSignCardInfo", method = RequestMethod.GET)
	@ResponseBody
	private WorkDataInfo getSignCardInfoByEmcodeAndEnuu(Long emcode, Long enuu, String date) {
		return clockSetCenterService.getSignCardInfoByEmcodeAndEnuu(emcode, enuu, date);
	}

}
