package com.uas.platform.b2b.mobile.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.mobile.model.OutAddress;

@Repository
public interface OutAddressDao extends JpaRepository<OutAddress, Long>, JpaSpecificationExecutor<OutAddress> {

	/**
	 * 按企业名称查找拜访企业
	 * 
	 * @param company
	 * @return
	 */
	public OutAddress findByCompany(String company);

}
