package com.uas.platform.b2b.mobile.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.mobile.model.OutPlan;
import com.uas.platform.b2b.mobile.model.OutPlanDetail;

@Repository
public interface OutPlanDetailDao extends JpaRepository<OutPlanDetail, Long>, JpaSpecificationExecutor<OutPlanDetail> {

	List<OutPlanDetail> findByOutPlan(OutPlan outPlan);
}
