package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.AdvancedSettings;

public interface AdvancedSettingsService {

	/**
	 * 保存更新
	 * 
	 * @param advancedSettings
	 * @return
	 */
	public ModelMap saveAdvancedSettings(AdvancedSettings advancedSettings);

	/**
	 * 获取企业的高级设置
	 * 
	 * @param enuu
	 * @return
	 */
	public AdvancedSettings getSettingsByEnuu(Long enuu);

}
