package com.uas.platform.b2b.mobile.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.FeePlease;
import com.uas.platform.b2b.mobile.model.FeePleaseDetail;

public interface FeePleaseService {

	/**
	 * 保存出差申请单
	 * 
	 * @param feePlease
	 * @param feePleaseDetail
	 * @return
	 */
	public ModelMap saveFeePlease(FeePlease feePlease, List<FeePleaseDetail> feePleaseDetails);

	/**
	 * 获取出差单
	 * 
	 * @param enuu
	 * @param emcode
	 * @param pageNumber
	 * @param pageSize
	 * @return
	 */
	public ModelMap getFeePlease(Long enuu, Long emcode, Integer pageNumber, Integer pageSize);
}
