package com.uas.platform.b2b.mobile.service;

import com.uas.platform.b2b.model.PagingReleaseDetail;
import org.springframework.ui.ModelMap;

import java.util.List;

/**
 * Created by dongbw
 * 17/03/28 9:26.
 */
public interface MobileReleaseService {

    /**
     * 获取消息条数
     *
     * @param emuu
     * @param enuu
     * @return
     */
    ModelMap getReleaseCounts(Long emuu, Long enuu);

    /**
     * 统计成功修改状态
     *
     * @param ids
     */
    void changeReleaseCounts(String ids);

    /**
     * 获取消息详细列表
     *
     * @param emuu
     * @param enuu
     * @param type
     * @return
     */
    ModelMap getReleaseDetails(Long emuu, Long enuu, String type);

    /**
     *  获取成功修改状态
     *
     * @param ids
     */
    ModelMap changeReleaseDetails(String ids);

//    /**
//     *
//     *
//     * @param emuu
//     * @param enuu
//     * @return
//     */
//    ResponseEntity<ModelMap> pushRelease(Long emuu, Long enuu) throws Exception;

    void pushReleases(List<PagingReleaseDetail> pagingReleaseDetails);
}
