package com.uas.platform.b2b.mobile.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.OutPlan;
import com.uas.platform.b2b.mobile.model.OutPlanDetail;

public interface OutPlanService {

	/**
	 * 保存外勤计划
	 * 
	 * @param outPlan
	 * @param outPlanDetails
	 * @return
	 */
	public ModelMap saveOutPlan(OutPlan outPlan, List<OutPlanDetail> outPlanDetails);

	/**
	 * 获取外勤计划
	 * 
	 * @return
	 */
	public ModelMap getOutPlan(Long emcode, Long enuu);

	/**
	 * 更新外勤状态
	 * @param id
	 * @param statuscode
	 * @return
	 */
	public ModelMap updateStatus(Long id, String statuscode);
}
