package com.uas.platform.b2b.mobile.service;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.mobile.model.Purchase;
import com.uas.platform.b2b.model.PurchaseOrderAll;

public interface PurchaseService {

	/**
	 * 平台的客户采购订单，转成移动端的采购订单
	 * 
	 * @param orderPage
	 * @return
	 */
	public Page<Purchase> convertPurchaseOrder(Page<PurchaseOrderAll> orderPage);

	/**
	 * 平台的客户采购订单，转成移动端的采购订单
	 * 
	 * @param order
	 * @return
	 */
	public Purchase convertPurchaseOrder(PurchaseOrderAll order);

}
