package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.FlowNode;

public interface ApprovalFlowService {

	/**
	 * 查找节点的最大值
	 * 
	 * @param enuu
	 * @param appName
	 * @return
	 */
	public Integer getMaxNodeByEnuuAndAppName(Long enuu, String appName);

	/**
	 * 通过节点等级和名称判断信息
	 * 
	 * @param enuu
	 * @param appName
	 * @param level
	 * @return
	 */
	public FlowNode getNodeInfoByEnuuAndAppNameAndNodelev(Long enuu, String appName, Integer level);

	/**
	 * 通过enuu和emcode和流程名称查询详情
	 * 
	 * @param enuu
	 * @param emcode
	 * @return
	 */
	public FlowNode getNodeInfoByEnuuAndEmcodeAndAppName(Long enuu, Long emcode, String appName);

}
