package com.uas.platform.b2b.service;

import java.util.List;

import com.uas.platform.b2b.model.BarPackage;


public interface BarPackageService {
	/**
	 * 获取需要上传（到卖方）的BarPackage
	 * 
	 * @return
	 */
	public List<BarPackage> findNotUpload();
	
	/**
	 * 上传成功后修改表的上传状态
	 * 
	 * @param idArray
	 */
	public void onUploadSuccess(String[] idArray);
	
}
