package com.uas.platform.b2b.service;

import com.uas.platform.b2b.erp.model.PurchaseDetail;
import com.uas.platform.b2b.model.SaleOrderItem;

import java.util.List;

/**
 * 采购订单明细
 *
 * Created by hejq on 2018-06-19.
 */
public interface SaleOrderItemService {

    /**
     * 批量保存
     */
    void save(List<SaleOrderItem> items);

    /**
     * 将ERP采购单明细封装成平台所需明细
     *
     * @param details 采购单明细
     * @return
     */
    List<SaleOrderItem> covert(List<PurchaseDetail> details);
}
