package com.uas.platform.b2b.service;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.SearchFilter;
import com.uas.platform.b2b.model.UsageLog;
import com.uas.platform.core.logging.LogService;
import com.uas.platform.core.model.PageInfo;

public interface UsageLogService extends LogService<UsageLog> {

	/**
	 * 分页查找使用日志
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<UsageLog> findAllByPageInfo(PageInfo pageInfo, SearchFilter filter);

}
