package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.ApbillAdjustment;

@Repository
public interface ApbillAdjustmentDao
		extends JpaRepository<ApbillAdjustment, Long>, JpaSpecificationExecutor<ApbillAdjustment> {

	/**
	 * 根据单据编号判断是否已存在
	 * 
	 * @param enuu
	 * @param inoutno
	 * @return
	 */
	List<ApbillAdjustment> findByCustuuAndInoutno(Long enuu, String inoutno);
}
