package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.BarLabelPrintSetting;

@Repository
public interface BarLPSetingDao  extends JpaSpecificationExecutor<BarLabelPrintSetting>, JpaRepository<BarLabelPrintSetting, Long>{
	/**
	 * 通过laid查询数据
	 * @param laid
	 * @return
	 */
	@Query("from BarLabelPrintSetting s where s.label.id=:laid")
	public List<BarLabelPrintSetting> findByLaid(@Param("laid") Long laid);

}
