package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.BarLabelParameter;

@Repository
public interface BarLParameterDao  extends JpaSpecificationExecutor<BarLabelParameter>, JpaRepository<BarLabelParameter, Long>{
	
	/**
	 * 通过laid查询数据
	 * @param laid
	 * @return
	 */
	public List<BarLabelParameter> findByLaid(Long laid);

}
