package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.BarLabel;

@Repository
public interface BarLabelDao  extends JpaSpecificationExecutor<BarLabel>, JpaRepository<BarLabel, Long>{
	/**
	 * 根据企业UU和code码查询Label表
	 * @param enUU
	 * @param code
	 * @return
	 */
	public List<BarLabel> findByEnUUAndCode(long enuu,String code);
	
}
