package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.MakeOrderChange;

@Repository
public interface MakeOrderChangeDao extends JpaSpecificationExecutor<MakeOrderChange>, JpaRepository<MakeOrderChange, Long> {

	/**
	 * 按所属企业及编号查找变更单
	 * 
	 * @param enUU
	 * @param code
	 * @return
	 */
	public List<MakeOrderChange> findByEnUUAndCode(Long enUU, String code);
	
}
