package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.OfficeTaskReply;

@Repository
public interface OfficeTaskReplyDao
		extends JpaRepository<OfficeTaskReply, Long>, JpaSpecificationExecutor<OfficeTaskReply> {

	/**
	 * 获取任务回复记录
	 * 
	 * @param taid
	 * @return
	 */
	List<OfficeTaskReply> findByTaskid(Long taskid);
}
