package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.PurchaseProofingSend;

@Repository
public interface PurchaseProofingSendDao extends JpaSpecificationExecutor<PurchaseProofingSend>, JpaRepository<PurchaseProofingSend, Long> {

	/**
	 * 
	 * @param backStatus
	 * @param vendUU
	 * @return
	 */
	public List<PurchaseProofingSend> findByBackStatusAndProofingItemVendUU(Short backStatus, Long vendUU);
	
	/**
	 * 
	 * @param sendStatus
	 * @param enUU
	 * @return
	 */
	public List<PurchaseProofingSend> findBySendStatusAndProofingItemProofingEnUU(Short sendStatus, Long enUU);
	
	public List<PurchaseProofingSend> findByProofingItemVendUUAndCode(Long vendUU, String code);
	
}
