package com.uas.platform.b2b.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.SaleSendItemVerify;

@Repository
public interface SaleSendItemVerifyDao extends JpaSpecificationExecutor<SaleSendItemVerify>, JpaRepository<SaleSendItemVerify, Long> {
	
	public List<SaleSendItemVerify> findByCustUUAndSourceId(Long custUU, Long sourceId);

}
