package com.uas.platform.b2b.dao;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.UserBaseInfo;

@Repository
public interface UserBaseInfoDao extends JpaSpecificationExecutor<UserBaseInfo>, JpaRepository<UserBaseInfo, Long> {

	/**
	 * 通过uu号查询基本用户信息
	 * 
	 * @param userUU
	 * @return
	 */
	public UserBaseInfo findByUserUU(Long userUU);

}
