package com.uas.platform.b2b.dao;


import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.model.UserPosition;

@Repository
public interface UserPositionDao extends JpaRepository<UserPosition, Long>, JpaSpecificationExecutor<UserPosition> {

	/**
	 * 通过企业uu和个人uu查询人员信息
	 * 
	 * @param useruu
	 * @param enuu
	 * @return
	 */
	public UserPosition getUserByUseruuAndEnuu(Long useruu, Long enuu);

}
