package com.uas.platform.b2b.erp.dao;

import com.uas.platform.b2b.erp.model.KeywordAlias;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

/**
 * 别名表
 *
 * Created by hejq on 2018-05-15.
 */
public interface KeywordAliasDao extends JpaSpecificationExecutor<KeywordAlias>, JpaRepository<KeywordAlias, Long> {

    /**
     * 通过类型和别名查询信息
     *
     * @param type 类型
     * @param alias 别名
     * @return
     */
    KeywordAlias findByTypeAndAlias(String type, String alias);
}
