package com.uas.platform.b2b.erp.service;

import java.util.List;

import com.uas.platform.b2b.erp.model.APCheck;
import com.uas.platform.b2b.model.PurchaseApCheck;
import com.uas.platform.b2b.model.PurchaseApCheckItem;

public interface APCheckService {
	/**
	 * 将平台里面的客户应收对账单，下载至客户erp
	 * 
	 * @param orders
	 * @return
	 */
	List<APCheck> convertApCheck(List<PurchaseApCheck> apCheck);
	
	/**
	 * 将ERP系统的应收对账单，转为平台的应付对账单
	 * 
	 * @param changes
	 * @return
	 */
	List<PurchaseApCheckItem> convertAPChecks(List<APCheck> apChecks);
}
