package com.uas.platform.b2b.erp.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.erp.model.ErpLog;
import com.uas.platform.b2b.erp.model.ErpLogMessageStat;
import com.uas.platform.b2b.model.SearchFilter;
import com.uas.platform.core.logging.LogService;
import com.uas.platform.core.model.PageInfo;

public interface ErpLogService extends LogService<ErpLog> {

	/**
	 * 分页查找日志
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<ErpLog> findSearchByPageInfo(PageInfo pageInfo, SearchFilter filter);
	
	public List<ErpLogMessageStat> findMessageStat(Long enuu, SearchFilter filter);

}
