package com.uas.platform.b2b.mobile.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.uas.platform.b2b.mobile.service.BulletinCenterService;

/**
 * 公告中心
 * 
 * @author hejq
 * @time 创建时间：2017年2月21日
 */
@Controller("mobile.BulletinCenterController")
@RequestMapping("/mobile/bulletinCenter")
public class BulletinCenterController {

	@Autowired
	private BulletinCenterService bulletinCenterService;

	/**
	 * 通过enuu获取所有公告
	 * 
	 * @param pageNumber
	 * @param pageSize
	 * @param enuu
	 * @return
	 */
	@RequestMapping(value = "/getAllbulletins", method = RequestMethod.GET)
	@ResponseBody
	private ModelMap getAllbulletins(Integer pageNumber, Integer pageSize, Long enuu) {
		return bulletinCenterService.getAllBulletinsByEnuu(pageNumber, pageSize, enuu);
	}

}
