package com.uas.platform.b2b.mobile.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.alibaba.fastjson.JSONObject;
import com.uas.platform.b2b.mobile.model.SignApp;
import com.uas.platform.b2b.mobile.service.SignAppService;

/**
 * 补卡申诉
 */
@Controller("mobile.SignAppController")
@RequestMapping("/mobile/signapp")
public class SignAppController {

	@Autowired
	private SignAppService signAppService;
	/**
	 * 保存补卡申诉
	 * 
	 * @param formStore
	 * @return
	 */
	@RequestMapping(value = "/saveSignApp", method = RequestMethod.POST)
	@ResponseBody
	private ModelMap saveSignApp(String formStore) {
		SignApp signapp = JSONObject.parseObject(formStore, SignApp.class);
		return signAppService.saveSignApp(signapp);
	};
}
