package com.uas.platform.b2b.mobile.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.uas.platform.b2b.mobile.service.UserCenterService;

/**
 * 用户中心
 * 
 * @author hejq
 * @time 创建时间：2017年2月21日
 */
@Controller("mobile.UserCenterController")
@RequestMapping("/mobile/userCenter")
public class UserCenterController {

	@Autowired
	private UserCenterService userCenterService;

	/**
	 * 通过emcode和enuu查询用户信息
	 * 
	 * @param emcode
	 * @param enuu
	 * @return
	 */
	@RequestMapping(value = "/getUserInfo", method = RequestMethod.GET)
	@ResponseBody
	private ModelMap getUserInfoByEmcodeAndEnuu(Long emcode, Long enuu) {
		return userCenterService.getUserInfoByEmCodeAndEnuu(emcode, enuu);

	}
}
