package com.uas.platform.b2b.mobile.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.mobile.model.AdvancedSettings;

@Repository
public interface AdvancedSettingsDao
		extends JpaRepository<AdvancedSettings, Long>, JpaSpecificationExecutor<AdvancedSettings> {

	/**
	 * 通过企业uu获取高级设置
	 * 
	 * @param enuu
	 * @return
	 */
	public AdvancedSettings getSettingsByEnuu(Long enuu);
}
