package com.uas.platform.b2b.mobile.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.mobile.model.AppFlowOperation;

@Repository
public interface AppFlowOperationDao
		extends JpaRepository<AppFlowOperation, Long>, JpaSpecificationExecutor<AppFlowOperation> {

	/**
	 * 这个是审批流的id
	 * 
	 * @param keyvalue
	 * @return
	 */
	public List<AppFlowOperation> findByKeyvalue(Long keyvalue);

	/**
	 * 这个是最初的单据的id,如请假单va_id
	 * 
	 * @param sourceid
	 * @return
	 */
	public List<AppFlowOperation> findBySourceidAndCaller(Long sourceid, String caller);
}
