package com.uas.platform.b2b.mobile.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import com.uas.platform.b2b.model.DeputyEnterprise;

public interface DeputyEnterpriseDao
		extends JpaRepository<DeputyEnterprise, Long>, JpaSpecificationExecutor<DeputyEnterprise> {

	/**
	 * 查询代采企业信息
	 * 
	 * @param deputyenuu
	 * @return
	 */
	public DeputyEnterprise findByDeputyenuu(Long deputyenuu);
}
