package com.uas.platform.b2b.mobile.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import com.uas.platform.b2b.mobile.model.OutSet;

@Repository
public interface OutSetDao extends JpaRepository<OutSet, Long>, JpaSpecificationExecutor<OutSet> {

	/**
	 * 查询企业的外勤设置
	 * 
	 * @param enuu
	 * @return
	 */
	public OutSet getOutSetByEnuu(Long enuu);
}
