package com.uas.platform.b2b.mobile.service;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.mobile.model.InquiryItem;
import com.uas.platform.b2b.model.PurchaseInquiryItem;

public interface InquiryItemService {
	
	/**
	 * 平台的客户采购询价单，转成移动端的采购询价单
	 * 
	 * @param orderPage
	 * @return
	 */
	public Page<InquiryItem> convertInquiryItem(Page<PurchaseInquiryItem> inquiryItemPage);

	/**
	 * 平台的客户采购询价单，转成移动端的采购询价单
	 * 
	 * @param order
	 * @return
	 */
	public InquiryItem convertInquiryItem(PurchaseInquiryItem inquiryItem);

}
