package com.uas.platform.b2b.mobile.service;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.mobile.model.Notice;
import com.uas.platform.b2b.model.PurchaseNotice;

public interface NoticeService {

	/**
	 * 平台的送货提醒，转成移动端的送货提醒
	 * 
	 * @param orderPage
	 * @return
	 */
	public Page<Notice> convertNotice(Page<PurchaseNotice> notices);

	/**
	 * 平台的客户送货提醒，转成移动端的送货提醒
	 * 
	 * @param order
	 * @return
	 */
	public Notice convertNotice(PurchaseNotice notice);

}
