package com.uas.platform.b2b.mobile.service;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.mobile.model.PurchaseChange;
import com.uas.platform.b2b.model.PurchaseOrderChange;

public interface PurchaseChangeService {

	/**
	 * 平台的客户采购变更单，转成移动端的采购变更单
	 * 
	 * @param orderPage
	 * @return
	 */
	public Page<PurchaseChange> convertPurchaseOrderChange(Page<PurchaseOrderChange> orderChangePage);

	/**
	 * 平台的客户采购变更单，转成移动端的采购变更单
	 * 
	 * @param order
	 * @return
	 */
	public PurchaseChange convertPurchaseOrderChange(PurchaseOrderChange orderChange);

}
