package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.SignCard;

public interface SignCardLogService {

	/**
	 * 分页获取员工的打卡记录
	 * 
	 * @param emcode
	 * @param pageNumber
	 * @param pageSize
	 * @return
	 */
	public ModelMap getListData(Long emcode, Long enuu, Integer pageNumber, Integer pageSize, String date)
			throws Exception;

	/**
	 * 保存打卡记录
	 * 
	 * @param signCard
	 * @return
	 */
	public ModelMap saveSignCard(SignCard signCard);
}
