package com.uas.platform.b2b.mobile.service;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.Vacation;

public interface VacationService {

	/**
	 * 获取请假单列表
	 * 
	 * @param emcode
	 * @param pageNumber
	 * @param pageSize
	 * @param enuu
	 * @return
	 */
	public ModelMap getAllVacation(Long emcode, Integer pageNumber, Integer pageSize, Long enuu);

	/**
	 * 保存请假单
	 * 
	 * @param vacation
	 * @return
	 */
	public ModelMap saveVacation(Vacation vacation);
}
