package com.uas.platform.b2b.mobile.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.WorkOvertime;
import com.uas.platform.b2b.mobile.model.WorkOvertimeDet;

public interface WorkOvertimeService {

	/**
	 * 保存加班申请
	 * 
	 * @param workOvertime
	 * @param workOvertimeDet
	 * @return
	 */
	public ModelMap saveWorkOvertime(WorkOvertime workOvertime, List<WorkOvertimeDet> workOvertimeDets);

	/**
	 * 获取加班申请数据
	 * 
	 * @param enuu
	 * @param emcode
	 * @param pageNumber
	 * @param pageSize
	 * @return
	 */
	public ModelMap getWorkOvertime(Long enuu, Long emcode, Integer pageNumber, Integer pageSize);

}
