package com.uas.platform.b2b.publicapi.service;

import com.uas.platform.b2b.publicapi.model.TradeCount;
import com.uas.platform.core.model.PageInfo;

import java.util.List;

/**
 * 查询销售额接口
 *
 * Created by hejq on 2018-05-30.
 */
public interface TradeCountService {

    /**
     * 查询销售额统计
     *
     * @param tradeType 类型
     * @param currency 币别
     * @param fromDate 开始时间
     * @param endDate 截止时间
     * @return
     */
    List<TradeCount> findByParameters(String tradeType, String currency, String fromDate, String endDate, PageInfo pageInfo);
}
