package com.uas.platform.b2b.service;

import java.util.List;

import com.uas.platform.b2b.erp.model.PurchaseAPBill;
import com.uas.platform.b2b.model.ApbillAdjustment;

public interface ApbillAdjustmentService {

	/**
	 * 批量保存、修改货款调账
	 * 
	 * @param changeItems
	 * @return
	 */
	public void save(List<ApbillAdjustment> apBilladjustments);

	/**
	 * 将ERP的已反过账的货款调账，转为反过账的货款调账
	 * 
	 * @param apBills
	 * @return
	 */
	public List<ApbillAdjustment> convertnonPostAdjustment(List<PurchaseAPBill> apBills);

	/**
	 * 
	 * @param Adjustment
	 */
	public void nonPosting(List<ApbillAdjustment> adjustments);
}
