package com.uas.platform.b2b.service;

import com.uas.platform.b2b.model.Enterprise;
import java.util.List;

/**
 * @since 2016-9-26 21:18:35 账户中心统一管理；部分功能保留，但转移到v2目录
 * @see com.uas.platform.b2b.v2.service.EnterpriseService
 * 
 */
@Deprecated
public interface EnterpriseService {

	/**
	 * 根据营业执照号查询企业信息
	 * 
	 * @param businessCode
	 * @return
	 */
	public Enterprise findByenBussinessCode(String businessCode);

	/**
	 * 通过企业UU号获取企业信息
	 * 
	 * @param enUU
	 * @return
	 */
	public Enterprise findByEnUU(Long enUU);

	/**
	 * 通过企业名称查询企业注册信息
	 *
	 * @param name 企业名称
	 * @return
	 */
	List<Enterprise> findByEnName(String name);
}
